FullAnalyzer (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.util.depend.bcel, class: FullAnalyzer

# Class FullAnalyzer

java.lang.Object
org.apache.tools.ant.util.depend.AbstractAnalyzer
org.apache.tools.ant.util.depend.bcel.FullAnalyzer

All Implemented Interfaces:
  `DependencyAnalyzer`

public class FullAnalyzer extends AbstractAnalyzer
An analyzer capable fo traversing all class - class relationships.

- ## Field Summary

  ### Fields inherited from class AbstractAnalyzer

  `MAX_LOOPS`
  Modifier and Type
  Field
  Description
  `static final int`
  `MAX_LOOPS`
  Maximum number of loops for looking for indirect dependencies.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FullAnalyzer()`
  Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `determineDependencies(Vector<File> files, Vector<String> classes)`
  Determine the dependencies of the configured root classes.
  `protected boolean`
  `supportsFileDependencies()`
  Indicate if this analyzer can determine dependent files.

  ### Methods inherited from class AbstractAnalyzer

  `addClassPath, addRootClass, addSourcePath, config, getClassContainer, getClassDependencies, getFileDependencies, getRootClasses, getSourceContainer, isClosureRequired, reset, setClosure`
  Modifier and Type
  Method
  Description
  `void`
  `addClassPath(Path classPath)`
  Add a classpath to the classpath being used by the analyzer.
  `void`
  `addRootClass(String className)`
  Add a root class.
  `void`
  `addSourcePath(Path sourcePath)`
  Add a source path to the source path used by this analyzer.
  `void`
  `config(String name, Object info)`
  Configure an aspect of the analyzer.
  `File`
  `getClassContainer(String classname)`
  Get the file that contains the class definition
  `Enumeration<String>`
  `getClassDependencies()`
  Get the list of classes upon which root classes depend.
  `Enumeration<File>`
  `getFileDependencies()`
  Get the list of files in the file system upon which the root classes depend.
  `protected Enumeration<String>`
  `getRootClasses()`
  Get an enumeration of the root classes
  `File`
  `getSourceContainer(String classname)`
  Get the file that contains the class source.
  `protected boolean`
  `isClosureRequired()`
  Indicate if the analyzer is required to follow indirect class relationships.
  `void`
  `reset()`
  Reset the dependency list.
  `void`
  `setClosure(boolean closure)`
  Set the closure flag.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FullAnalyzer

    public FullAnalyzer()
    Default constructor Causes the BCEL classes to load to ensure BCEL dependencies can be satisfied

- ## Method Details

  - ### determineDependencies

    protected void determineDependencies(Vector<File> files, Vector<String> classes)
    Determine the dependencies of the configured root classes.
    Specified by:
      `determineDependencies` in class `AbstractAnalyzer`
    Parameters:
      `files` - a vector to be populated with the files which contain the dependency classes
      `classes` - a vector to be populated with the names of the dependency classes.

  - ### supportsFileDependencies

    protected boolean supportsFileDependencies()
    Indicate if this analyzer can determine dependent files.
    Specified by:
      `supportsFileDependencies` in class `AbstractAnalyzer`
    Returns:
      true if the analyzer provides dependency file information.